import { ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CanDisable } from '@angular/material/core';
export declare class NgGenericToggleComponent implements ControlValueAccessor, CanDisable, AfterViewInit {
    private _changeDetectorRef;
    static nextUniqueId: number;
    isChecked: boolean;
    onChange: (_: any) => void;
    onTouched: () => void;
    private isDisabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    uniqueId: string;
    private _checkedState;
    private _unCheckedState;
    private _viewContainerRef;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    updateView(): void;
    toggle(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
}
